SDL_GetGamepadName(3)

NAME
SDL_GetGamepadName - Get the implementation-dependent name for an opened gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_GetGamepadName(SDL_Gamepad *gamepad);

FUNCTION PARAMETERS

gamepad
    a gamepad identifier previously returned by SDL_OpenGamepad ().

RETURN VALUE
Returns the implementation dependent name for the gamepad, or NULL if there is no name or the identifier passed is invalid.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetGamepadNameForID(3)